import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ModalDirective } from './modal.directive';
import { ModalComponent } from './modal.component';
import { WindowService } from '../services/window.service';

@NgModule({
  imports: [CommonModule],
  declarations: [
    ModalDirective,
    ModalComponent
  ],
  exports: [ModalDirective],
  entryComponents: [ModalComponent]
})
export class CMSModalModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: CMSModalModule,
      providers: [WindowService]
    };
  }
}
