import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { TooltipComponent } from './tooltip.component';

describe('TooltipComponent', () => {
  let component: TooltipComponent;
  let fixture: ComponentFixture<TooltipComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [ TooltipComponent ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(TooltipComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('tooltipClass', () => {
    it('should get the correct tooltip class for top position', () => {
      component.position = 'top';
      component.body = false;
      expect(component.tooltipClass).toEqual('tool-tip--top');
    });

    it('should get the correct tooltip class for bottom position', () => {
      component.position = 'bottom';
      component.body = false;
      expect(component.tooltipClass).toEqual('tool-tip--bottom');
    });

    it('should get the correct tooltip class for right position', () => {
      component.position = 'right';
      component.body = false;
      expect(component.tooltipClass).toEqual('tool-tip--right');
    });

    it('should get the correct tooltip class for left position', () => {
      component.position = 'left';
      component.body = false;
      expect(component.tooltipClass).toEqual('tool-tip--left');
    });

    it('should get the correct tooltip class for body placement', () => {
      component.position = 'left';
      component.body = true;
      expect(component.tooltipClass.includes('tool-tip--custom'));
    });
  });
});
