import { Component, Input, ChangeDetectionStrategy } from '@angular/core';

@Component({
  selector: 'cms-tooltip',
  templateUrl: './tooltip.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush

})
export class TooltipComponent {
  @Input() position: string;
  @Input() text: string;
  @Input() body: boolean;
  @Input() offset: string;

  constructor() { }

  get tooltipClass(): string {
    const customClass = this.body ? ' tool-tip--custom' : '';
    const offsetClass = this.offset ? ` tool-tip--offset-${this.offset}-${this.position ? this.position : 'top'}` : '';

    if (this.position) {
      switch (this.position) {
        case 'top':
          return `tool-tip--top${customClass}${offsetClass}`;
        case 'bottom':
          return `tool-tip--bottom${customClass}${offsetClass}`;
        case 'right':
          return `tool-tip--right${customClass}${offsetClass}`;
        case 'left':
          return `tool-tip--left${customClass}${offsetClass}`;
      }
    }

    return `tool-tip--top${customClass}${offsetClass}`;
  }

}
