import { Component } from '@angular/core';
import { async, TestBed, ComponentFixture } from '@angular/core/testing';

import { TooltipDirective } from './tooltip.directive';
import { WindowService } from '../services/window.service';
import { WindowServiceStub } from '../testing/stubs/window.service.stub';

@Component({
  template: `
      <span cmsTooltip [body]="true" [text]="'Tooltip text'"></span>
    `
})
class TestHostComponent { }

describe('TooltipDirective', (): void => {
  let testHost: TestHostComponent;
  let fixture: ComponentFixture<TestHostComponent>;

  function createComponent(): void {
    fixture = TestBed.createComponent(TestHostComponent);
    testHost = fixture.componentInstance;
    fixture.detectChanges();
  }

  beforeEach(async((): void => {
    TestBed.configureTestingModule({
      declarations: [TooltipDirective, TestHostComponent],
      providers: [
        { provide: WindowService, useClass: WindowServiceStub }
      ]
    })
      .compileComponents();

    createComponent();
  }));

  it('should exist', (): void => {
    expect(testHost).toBeDefined();
  });
});
