import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TooltipDirective } from './tooltip.directive';
import { TooltipComponent } from './tooltip.component';
import { WindowService } from '../services/window.service';

@NgModule({
  imports: [CommonModule],
  declarations: [
    TooltipDirective,
    TooltipComponent
  ],
  exports: [TooltipDirective],
  entryComponents: [TooltipComponent]
})
export class CMSTooltipModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: CMSTooltipModule,
      providers: [WindowService]
    };
  }
}
